using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability3152.Domain;

public class TaobaoTbkThorMfrsPromotionQueryManufacturerItemsDto
{

    /*
        商品图片地址
    */
    private string? img;


    /*
        店铺名称
    */
    private string? shop;


    /*
        优惠券信息
    */
    private string? coupon;


    /*
        商品标题
    */
    private string? itemTitle;


    /*
        售价
    */
    private string? salePrice;


    /*
        营销标签
    */
    private IList<string>? iconList;


    /*
        曝光反馈地址
    */
    private string? impressionTrackingUrl;


    /*
        是否包邮
    */
    private string? freeShipment;


    /*
        跳转地址
    */
    private string? clickThroughByH5;


    /*
        价格
    */
    private string? zkFinalPrice;


    /*
        30天销量
    */
    private string? volume;


    /*
        点击反馈链接
    */
    private string? clickTrackingUrl;


    /*
        地区
    */
    private string? provcity;


    /*
        deeplink地址
    */
    private string? clickThroughByDeeplink;


    /*
        券地址
    */
    private string? couponClickThroughByDeeplink;


    /*
        领取deeplink地址
    */
    private string? couponClickThroughByH5;


    /*
        店铺类型
    */
    private string? shopType;



    [JsonPropertyName("img")]
    public string? Img
    {
        get => img;
        set => this.img = value;
    }

    [JsonPropertyName("shop")]
    public string? Shop
    {
        get => shop;
        set => this.shop = value;
    }

    [JsonPropertyName("coupon")]
    public string? Coupon
    {
        get => coupon;
        set => this.coupon = value;
    }

    [JsonPropertyName("item_title")]
    public string? ItemTitle
    {
        get => itemTitle;
        set => this.itemTitle = value;
    }

    [JsonPropertyName("sale_price")]
    public string? SalePrice
    {
        get => salePrice;
        set => this.salePrice = value;
    }

    [JsonPropertyName("icon_list")]
    public IList<string>? IconList
    {
        get => iconList;
        set => this.iconList = value;
    }

    [JsonPropertyName("impression_tracking_url")]
    public string? ImpressionTrackingUrl
    {
        get => impressionTrackingUrl;
        set => this.impressionTrackingUrl = value;
    }

    [JsonPropertyName("free_shipment")]
    public string? FreeShipment
    {
        get => freeShipment;
        set => this.freeShipment = value;
    }

    [JsonPropertyName("click_through_by_h5")]
    public string? ClickThroughByH5
    {
        get => clickThroughByH5;
        set => this.clickThroughByH5 = value;
    }

    [JsonPropertyName("zk_final_price")]
    public string? ZkFinalPrice
    {
        get => zkFinalPrice;
        set => this.zkFinalPrice = value;
    }

    [JsonPropertyName("volume")]
    public string? Volume
    {
        get => volume;
        set => this.volume = value;
    }

    [JsonPropertyName("click_tracking_url")]
    public string? ClickTrackingUrl
    {
        get => clickTrackingUrl;
        set => this.clickTrackingUrl = value;
    }

    [JsonPropertyName("provcity")]
    public string? Provcity
    {
        get => provcity;
        set => this.provcity = value;
    }

    [JsonPropertyName("click_through_by_deeplink")]
    public string? ClickThroughByDeeplink
    {
        get => clickThroughByDeeplink;
        set => this.clickThroughByDeeplink = value;
    }

    [JsonPropertyName("coupon_click_through_by_deeplink")]
    public string? CouponClickThroughByDeeplink
    {
        get => couponClickThroughByDeeplink;
        set => this.couponClickThroughByDeeplink = value;
    }

    [JsonPropertyName("coupon_click_through_by_h5")]
    public string? CouponClickThroughByH5
    {
        get => couponClickThroughByH5;
        set => this.couponClickThroughByH5 = value;
    }

    [JsonPropertyName("shop_type")]
    public string? ShopType
    {
        get => shopType;
        set => this.shopType = value;
    }

}

